
ChiliProject - Feature # 1046: Enable use of the "<<me>>" operator when querying custom fields

Status: Closed Priority: Normal
Author: Kirpal Sukumar Category: Custom Fields
Created: 2012-06-18 Assignee: Felix Schäfer
Updated: 2012-06-20 Due date:
Remote issue URL:
Affected version:
Description: When creating a custom query on the Assignee field, the "<<me>>" operator is available, allowing creating of 

a generic global query for any issues assigned to the user.

This functionality is currently unavailable when querying on custom fields populated by user list.  Please 
extend the option of using this operator to custom fields.

Associated revisions
2008-04-12 07:13 pm - Jean-Philippe Lang 
Fixed: error when browsing an empty Mercurial repository (#1046).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1343 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-06-20 04:07 pm - Holger Just 
Add "me" to user custom fields filters #1046

Adapted from
https://github.com/redmine/redmine/commit/28f9605fe2e242cc917108c277d8d6d6db3cdae1
by Jean-Philippe Lang

2012-06-20 06:00 pm - Holger Just 
Fix failing tests for Ruby 1.9 #1046

History
2012-06-18 04:43 pm - Holger Just
- Category set to Custom Fields

Related discussion was at message#1812

2012-06-20 12:41 pm - kwadronaut .
You can almost copy-paste, I think, from a recent Redmine "commit":http://www.redmine.org/projects/redmine/repository/revisions/8638

2012-06-20 01:04 pm - Felix Schäfer
I've seen that one and tried to apply it, sadly it's not directly compatible, it will need some work to apply cleanly.

2012-06-20 01:04 pm - Felix Schäfer
Thanks for the pointer nonetheless :-)

2012-06-20 03:23 pm - Holger Just
- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/209
2012-06-20 06:03 pm - Holger Just
- Status changed from Ready for review to Closed

- Target version set to 3.3.0

The feature was merged in commit:e4386f61daf7a78aea7056efe218b4b074a58d8e.
